Blob Blame Raw
From 19a9c54084120c0300ecc63e54a642c2f5c7aa10 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Petr=20P=C3=ADsa=C5=99?= <ppisar@redhat.com>
Date: Thu, 9 May 2019 09:54:46 +0200
Subject: [PATCH] Do not warn about missing pdftk
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

pdftk is not available in Fedora, do not warn about its absense.

<https://bugzilla.redhat.com/show_bug.cgi?id=1708054>

Signed-off-by: Petr Písař <ppisar@redhat.com>
---
 bin/gscan2pdf | 4 ----
 1 file changed, 4 deletions(-)

diff --git a/bin/gscan2pdf b/bin/gscan2pdf
index 536fb998..86433477 100755
--- a/bin/gscan2pdf
+++ b/bin/gscan2pdf
@@ -1327,10 +1327,6 @@ EOS
         $msg .= __("OCR requires gocr, tesseract, ocropus, or cuneiform\n");
     }
 
-    if ( not $dependencies{pdftk} ) {
-        $msg .= __("PDF encryption requires pdftk\n");
-    }
-
     # Put up warning if needed
     if ( $msg ne $EMPTY ) {
         $msg = __('Warning: missing packages') . "\n$msg";
-- 
2.20.1